Subject: Re: bug#19639: 24.4: eww.el: adverse effects of C-x C-w

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 25 Dec 2015 07:50:55 +0100

Boruch Baum <[email-masked]> writes:

> C-x C-w (I chose a filename ending with .html) kills the eww buffer,
> changes the buffer name and the major mode, and thus loses all eww
> functinoality. However, the associated eww-history buffer remains open,
> and pressing return on an item will reload that page (even when
> offline). Doing this (C-x C-w) sets the buffer into HTML mode, but all
> the html is stripped out, leaving just text.

`C-x C-w' will just write whatever text is in the current buffer to a
file.  (And set the mode of the buffer according to the file name.)
Nothing more magical happens -- the text in the buffer becomes the text
in the file.

So this isn't a bug.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no